Name:       mate-tweak
Summary:    Mate desktop configuration tool
Version:    18.04.13
Release:    %mkrel 1
URL:        https://github.com/ubuntu-mate/mate-tweak
License:    GPLv2+
Group:      Graphical desktop/Mate
Source0:    https://github.com/ubuntu-mate/%{name}/archive/%{version}.tar.xz
Source1:    panel-layouts.tar.xz
Patch1:     mate-tweak-18.04.13-mga-fix_applet_paths.patch
Patch3:     mate-tweak-18.04.1-mga-maggy_layout.patch
Patch4:     mate-tweak-18.04.1-mga-guake.patch
BuildArch:  noarch

BuildRequires: python3
BuildRequires: python3-setuptools
BuildRequires: python3-distutils-extra
BuildRequires: intltool

Requires: wmctrl
Requires: python3
Requires: python3-gobject3
Requires: python3-configobj
Requires: python3-psutil
Requires: python3-setproctitle
Requires: mate-applets >= 1.16.0
Requires: mate-panel >= 1.16.0

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
%setup -a 1
%apply_patches

# We don't provide xdg-su. Change it to use polkit.
sed -i "s|'xdg-su', '-c |'pkexec', '|g" %{name}
sed -i '/polkit/d' setup.py

# Change installation location to libexec
for i in "mate-tweak data/org.mate.mate-tweak.policy"; do
    sed -i "s|/usr/lib/mate-tweak|/usr/libexec/mate-tweak|g" $i
done

sed -i "s|/lib/mate-tweak|/libexec/mate-tweak|g" setup.py

%build
%{py3_build}

%install
rm -rf %buildroot
%{py3_install}

# Install panel layouts:
mkdir -p %{buildroot}%{_datadir}/mate-panel/layouts
cp -f panel-layouts/*.layout %{buildroot}%{_datadir}/mate-panel/layouts/

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --add-only-show-in="MATE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/mate-tweak
%{_bindir}/marco-compton
%{_bindir}/marco-no-composite
%{_datadir}/applications/*.desktop
%{_datadir}/mate-panel/layouts/
%{_mandir}/man1/mate-tweak.1*
%{_mandir}/man1/marco-compton.1*
%{_mandir}/man1/marco-no-composite.1*
%{_libexecdir}/mate-tweak/
%{python3_sitelib}/*egg-info


%changelog
* Fri Mar 09 2018 bb2 <bb2> - 18.04.13-1pclos2018
- Updated to 18.04.13 version
